commit:     4e60d6ae92c558f545e0c3eb9cf7a498dc2005b5
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 12 06:32:46 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 12 06:32:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e60d6ae

media-libs/sdl-pango: EAPI 6 -> 8

Straight to stable move, since the result is exactly the same (even
matching hashes).

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 ...o-0.1.2-r1.ebuild => sdl-pango-0.1.2-r2.ebuild} | 24 ++++++++++------------
 1 file changed, 11 insertions(+), 13 deletions(-)

diff --git a/media-libs/sdl-pango/sdl-pango-0.1.2-r1.ebuild 
b/media-libs/sdl-pango/sdl-pango-0.1.2-r2.ebuild
similarity index 77%
rename from media-libs/sdl-pango/sdl-pango-0.1.2-r1.ebuild
rename to media-libs/sdl-pango/sdl-pango-0.1.2-r2.ebuild
index d18bf01239f9..f03491e27c65 100644
--- a/media-libs/sdl-pango/sdl-pango-0.1.2-r1.ebuild
+++ b/media-libs/sdl-pango/sdl-pango-0.1.2-r2.ebuild
@@ -1,34 +1,32 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=8
+
 inherit autotools
 
 DESCRIPTION="connect the text rendering engine of GNOME to SDL"
 HOMEPAGE="https://sdlpango.sourceforge.net/";
 SRC_URI="https://downloads.sourceforge.net/sdlpango/SDL_Pango-${PV}.tar.gz
        http://zarb.org/~gc/t/SDL_Pango-0.1.2-API-adds.patch";
+S="${WORKDIR}/SDL_Pango-${PV}"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~alpha amd64 ~hppa ~ia64 ppc sparc x86"
 IUSE="static-libs"
 
-RDEPEND="x11-libs/pango
-       media-libs/libsdl[video]"
-DEPEND="${RDEPEND}
-       virtual/pkgconfig"
-
-S="${WORKDIR}/SDL_Pango-${PV}"
+DEPEND="
+       x11-libs/pango
+       media-libs/libsdl[video]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
 
 PATCHES=(
        "${FILESDIR}/SDL_Pango-0.1.2-fedora-c99.patch"
 )
 
-src_unpack() {
-       unpack SDL_Pango-${PV}.tar.gz
-}
-
 src_prepare() {
        default
        eapply -p0 "${DISTDIR}"/SDL_Pango-0.1.2-API-adds.patch
@@ -42,7 +40,7 @@ src_configure() {
 src_install() {
        default
        if ! use static-libs ; then
-               find "${ED}" -name "*.a" -delete || die
+               find "${ED}" -type f -name "*.a" -delete || die
        fi
-       find "${ED}" -name "*.la" -delete || die
+       find "${ED}" -type f -name "*.la" -delete || die
 }

Reply via email to